Erro de Java ao executar uma aplicação

1. Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 13/11/2017 - 22:59h

Preciso de ajuda, sou novo no mundo linux, eu fiz a instalação do Spark e do Java 8, porém ao executar está dando erro.
ao executar o program pelo comando /bin/bash /opt/spark/Spark
apresenta o seguinte erro:
Erro: Não foi possível localizar nem carregar a classe principal com.install4j.runtime.launcher.UnixLauncher


  


2. Re: Erro de Java ao executar uma aplicação

Izaias
izaias

(usa LMDE)

Enviado em 14/11/2017 - 10:46h

blackwells132 escreveu:

Preciso de ajuda, sou novo no mundo linux, eu fiz a instalação do Spark e do Java 8, porém ao executar está dando erro.
ao executar o program pelo comando /bin/bash /opt/spark/Spark
apresenta o seguinte erro:
Erro: Não foi possível localizar nem carregar a classe principal com.install4j.runtime.launcher.UnixLauncher


No Linux Mint?
Se vai precisar do Java, siga os comandos abaixo. Vai instalar o Java da Oracle e sendo um PPA, será sempre mantido atualizado.

PPA do Java-8:

sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java8-installer
sudo apt-get install oracle-java8-set-default


Caso o Java não funcione em seu navegador devido à versão que não aceita mais, considere instalar o navegador Pale Moon.


3. Re: Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 14/11/2017 - 11:42h

Obrigado pela ajuda.
Esse programa Spark é um comunicador que uso internamente na empresa, ele não roda em cima do navegador.
Uso Linux Mint 18.2 (Sonya)
Kernel: 4.10.0-38-generic

Já havia tentando essas dicas e mesmo assim não funciona, também tentei outras versões de java e nada. Fiquei meio sem ideia do que fazer. kkkk


4. Re: Erro de Java ao executar uma aplicação

Izaias
izaias

(usa LMDE)

Enviado em 14/11/2017 - 12:31h

Esse?
> https://spark.apache.org/downloads.html

Instalou do link acima ou dos repositórios do Mint?



5. Re: Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 14/11/2017 - 14:15h

Vou descrever a forma que fiz desde o começo com todos os comandos
Fiz a instalação do Java8
$ sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update
$ sudo apt-get install oracle-java8-installer
$ sudo apt install oracle-java8-set-default

Baixei o pacote do Spark, descompactei, criei o diretório e movi todo o conteúdo.
$ sudo wget http://download.igniterealtime.org/spark/spark_2_8_3.tar.gz
$ sudo tar -zxvf spark_2_8_3.tar.gz
$ sudo mkdir /opt/spark
$ sudo mv Spark/* /opt/spark/

Instalei os complementos necessários
$ sudo apt-get install libxtst6:i386
$ sudo apt-get install libxi6:i386

Depois executei o /bin/bash /opt/spark/Spark , quando faço isso apresenta o erro de JAVA.
Pior que em uma VM fiz exatemente isso e funcionou.


6. Re: Erro de Java ao executar uma aplicação

Izaias
izaias

(usa LMDE)

Enviado em 14/11/2017 - 14:35h

Remova este que instalou, acredito que não seja compatível.
Tente instalar pelos repositórios: sudo apt-get install spark

Se não instalar, é porque não tem nos repositórios do Mint.

** Outra coisa, nunca use sudo em conjunto com o wget para baixar alguma coisa de links externos. Não sabe o risco que corre!
Seria o correto: wget http://link...


7. Re: Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 16/11/2017 - 08:06h

Bom dia!
Tentei instalar pelos repositórios: sudo apt-get install spark
Porém ele não aparece quando procuro por ele no menu de programas.
Estou quase desistindo de fazer funcionar.



8. Re: Erro de Java ao executar uma aplicação

Paulo Jr
Pebis

(usa Debian)

Enviado em 16/11/2017 - 08:10h

blackwells132 escreveu:

Bom dia!
Tentei instalar pelos repositórios: sudo apt-get install spark
Porém ele não aparece quando procuro por ele no menu de programas.
Estou quase desistindo de fazer funcionar.



Tenta reiniciar o sistema. Se mesmo assim não funcionar basta criar uma entrada no menu ou mesmo um lançador




9. Re: Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 16/11/2017 - 10:31h

Sou meio novo no linux, então pode ser que fiz alguma coisa errada.
Reiniciei e nada de aparecer, procurei pelos arquivos para executar ele e tb não achei.
Vou tentar instalar pelo wine e vamos ver se pelo menos libero o programa pra mim, depois tento dar um jeito nisso ou volto pro windows mesmo.


10. Re: Erro de Java ao executar uma aplicação

Izaias
izaias

(usa LMDE)

Enviado em 16/11/2017 - 11:01h

Estranho. Nos repositórios do Ubuntu tem disponível pra instalação e é a melhor forma de usar visto que estará adequado á verão do sistema.
Poste a lista de repositórios: cat -n /etc/apt/sources.list

O que sair no terminal, poste aqui.


11. Re: Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 16/11/2017 - 17:32h

Bom, resolvi começar do zero, formatei a máquina porém acho que fiz a infelicidade de instalar o Ubuntu 17.10 deveria ter instalado o 16.04 já que é mais estável (pelo menos o que eu li), vou tentar atualizar e instalar pelo terminal, vamos ver o que vá dá.
Esse é o resultado do comando (cat -n /etc/apt/sources.list) que pediu para eu rodar, rodei nessa com Ubuntu 17.10.

[email protected]:~$ cat -n /etc/apt/sources.list
1 #deb cdrom:[Ubuntu 17.10 _Artful Aardvark_ - Release amd64 (20171018)]/ artful main restricted
2
3 # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
4 # newer versions of the distribution.
5 deb http://br.archive.ubuntu.com/ubuntu/ artful main restricted
6 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful main restricted
7
8 ## Major bug fix updates produced after the final release of the
9 ## distribution.
10 deb http://br.archive.ubuntu.com/ubuntu/ artful-updates main restricted
11 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful-updates main restricted
12
13 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
14 ## team. Also, please note that software in universe WILL NOT receive any
15 ## review or updates from the Ubuntu security team.
16 deb http://br.archive.ubuntu.com/ubuntu/ artful universe
17 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful universe
18 deb http://br.archive.ubuntu.com/ubuntu/ artful-updates universe
19 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful-updates universe
20
21 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
22 ## team, and may not be under a free licence. Please satisfy yourself as to
23 ## your rights to use the software. Also, please note that software in
24 ## multiverse WILL NOT receive any review or updates from the Ubuntu
25 ## security team.
26 deb http://br.archive.ubuntu.com/ubuntu/ artful multiverse
27 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful multiverse
28 deb http://br.archive.ubuntu.com/ubuntu/ artful-updates multiverse
29 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful-updates multiverse
30
31 ## N.B. software from this repository may not have been tested as
32 ## extensively as that contained in the main release, although it includes
33 ## newer versions of some applications which may provide useful features.
34 ## Also, please note that software in backports WILL NOT receive any review
35 ## or updates from the Ubuntu security team.
36 deb http://br.archive.ubuntu.com/ubuntu/ artful-backports main restricted universe multiverse
37 # deb-src http://br.archive.ubuntu.com/ubuntu/ artful-backports main restricted universe multiverse
38
39 ## Uncomment the following two lines to add software from Canonical's
40 ## 'partner' repository.
41 ## This software is not part of Ubuntu, but is offered by Canonical and the
42 ## respective vendors as a service to Ubuntu users.
43 # deb http://archive.canonical.com/ubuntu artful partner
44 # deb-src http://archive.canonical.com/ubuntu artful partner
45
46 deb http://security.ubuntu.com/ubuntu artful-security main restricted
47 # deb-src http://security.ubuntu.com/ubuntu artful-security main restricted
48 deb http://security.ubuntu.com/ubuntu artful-security universe
49 # deb-src http://security.ubuntu.com/ubuntu artful-security universe
50 deb http://security.ubuntu.com/ubuntu artful-security multiverse
51 # deb-src http://security.ubuntu.com/ubuntu artful-security multiverse



12. Re: Erro de Java ao executar uma aplicação

Marcelo Dalarmi
blackwells132

(usa Linux Mint)

Enviado em 17/11/2017 - 11:22h

Agradeço a ajuda de todos, por hora estou usando o Spark Messenger pelo Wine, e esta de certa forma me atendendo.
Obrigado!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts